Subject: Re: bug#13156: dedicated face for parentheses in lisp modes

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Dec 2012 10:32:47 -0500

> Could you please add a `paren-face' that could be used in lisp modes
> (and possibly others) to dim (or highlight) parentheses.  I am currently
> using the attached library to do this but think it would make sense if
> this functionality was built-in.

I don't think it's sufficiently useful in general.

> Being very simple `parenface.el' just unconditionally adds an additional
> keyword to `[lisp|scheme]-font-lock-keywords' when loaded.

It could use font-lock-add-keywords.

BTW, if all parens are displayed the same, then you can also use the
buffer-display-table.

> If this has to be a mode then I am happy to write it.  I haven't done
> so yet because `parenface.el' works fine for me and because I would
> actually prefer (1).

Having it as a separate mode would make more sense, yes.

        Stefan